apiVersion: v1
kind: Namespace
metadata:
  labels:
    control-plane: controller-manager
  name: system
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: controller-manager
  namespace: system
  labels:
    control-plane: controller-manager
spec:
  selector:
    matchLabels:
      control-plane: controller-manager
  replicas: 1
  template:
    metadata:
      labels:
        control-plane: controller-manager
    spec:
      securityContext:
        runAsNonRoot: true
      containers:
      - args:
        - --leader-elect
        - --leader-election-id=aap-azure-billing-operator
        image: controller:latest
        name: aap-azure-billing-manager
        env:
        - name: ANSIBLE_GATHERING
          value: explicit
        - name: ANSIBLE_DEBUG_LOGS
          value: "False"
        - name: RELATED_IMAGE_AZURE_BILLING
          value: quay.io/dsavineau/ansible-automation-platform-azure-billing:latest
        - name: WATCH_NAMESPACE
          valueFrom:
            fieldRef:
              fieldPath: metadata.namespace
        securityContext:
          allowPrivilegeEscalation: false
        livenessProbe:
          httpGet:
            path: /healthz
            port: 6789
          initialDelaySeconds: 15
          periodSeconds: 20
        readinessProbe:
          httpGet:
            path: /readyz
            port: 6789
          initialDelaySeconds: 5
          periodSeconds: 10
      serviceAccountName: controller-manager
      terminationGracePeriodSeconds: 10
